#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( kde4app.tar.gz ALL
  COMMAND ${TAR} zcf kde4app.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
    kapp4.cpp kapp4.h prefs_base.ui kapp4view.cpp
    kapp4view.h kapp4view_base.ui main.cpp kde4appui.rc
    kde4app-CMakeLists.txt kapp4.desktop kapp4.kcfg
    settings.kcfgc kde4app.png README kde4app.kdevelop
    kde4app.kdevelop.filelist
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kde4app.tar.gz kde4app.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    kde4app.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )
